# NOTE: Derived from blib/lib/ClearCase/Wrapper.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package ClearCase::Wrapper;

#line 962 "blib/lib/ClearCase/Wrapper.pm (autosplit into blib/lib/auto/ClearCase/Wrapper/_helpmsg.al)"
# No POD for this one because no options (same as native variant).
sub _helpmsg {
    my $FH = shift;
    my $rc = shift;
    # Let cleartool handle any malformed requests.
    return 0 if @_ > 2;
    my @text;
    if (@_ == 2) {
      my $op = $_[1] = Canonic($_[1]);
      @text = ClearCase::Argv->new(@_)->stderr(0)->qx;
      if (Extension($op)) {
          chomp $text[-1] if @text;;
          if (my $msg = $$op) {
            chomp $msg;
            my $indent;
                if (! @text or $text[0] =~ 'Usage: help ') {
                  @text = ("Usage: * ");
                    $indent = "Usage: * $op ";
                $msg =~ s/^help/$op/;
                } else {
                ($indent) = ($text[-1] =~ /^(\s*)/);
                    if (!$indent) {
                    ($indent) = ($text[0] =~ /^([^\s]+[\s*]+[^\s]+\s+)/);
                    }
                }
                $indent = " " x (length($indent) - 2);
            $msg =~ s/\n([^\*])/\n  $1/gs;
            $msg =~ s/\n/\n$indent/gs;
            push(@text, $msg);
          }
            push @text, "\n";
      }
        print $FH @text;
      exit $rc;
    } else {
      @text = ClearCase::Argv->new(@_)->stderr(0)->qx;
    }
    print $FH @text, "\n";
    my $bars = '='x70;
    print $FH "$bars\n= ClearCase::Wrapper Extensions:\n$bars\n\n";
    for (sort grep !/^_/, keys %ClearCase::Wrapper::ExtMap) {
      next if m%^(lsp(riv)?|c.)$%;
      $cmd = "ClearCase::Wrapper::$_";
      my (@text) = grep {$_} split /\n/, $$cmd;
      next unless @text;
      for (@text[1..$#text]) {s/^/ /;}
      $text =~ s%^(help)?\s+%%s;
      my $star = ClearCase::Wrapper::Native($_) ? '' : '* ';
      my $leader = "Usage: $star$_";
      for (@text) {
        s/^\*/ */;
        print $FH "$leader$_\n";
        $leader =~ s/./ /g;
      }
    }
    exit $rc
}

# end of ClearCase::Wrapper::_helpmsg
1;
