# NOTE: Derived from blib/lib/ClearCase/Wrapper.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package ClearCase::Wrapper;

#line 383 "blib/lib/ClearCase/Wrapper.pm (autosplit into blib/lib/auto/ClearCase/Wrapper/Burrow.al)"
###########################################################################
## Internal service routines, autoloaded since not always needed.
###########################################################################

# Function to read through include files recursively, used by
# config-spec parsing meta-commands. The first arg is a
# filename, the second an "action" which is eval-ed
# for each line.  It can be as simple as 'print' or as
# complex a regular expression as desired. If the action is
# null, only the names of traversed files are printed.
sub Burrow {
    # compatibility with old call signature, throw away uneeded param
    shift if (@_ && $_[0] eq 'CATCS_00');

    my($filename, $action) = @_;
    print $filename, "\n" if !$action;
    open($filename, $filename) || die Msg('E', "$filename: $!");
    while (<$filename>) {
      if (/^include\s+(.*)/) {
          Burrow($1, $action);
          next;
      }
      eval $action if $action;
    }
    close($filename);
    return 0;
}

# end of ClearCase::Wrapper::Burrow
1;
